Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.oneofnone.io/v1/rewards \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "value": 50000000, "description": "<string>", "minimumPurchase": 1, "minimumQuantity": 1, "usageLimitTotal": 1, "usageLimitPerCustomer": 1, "startsAt": "<string>", "expiresAt": "<string>", "stackable": true, "globalCode": "<string>", "externalUrl": "<string>", "imageId": 123, "conditions": {} } '
import requests url = "https://api.oneofnone.io/v1/rewards" payload = { "name": "<string>", "value": 50000000, "description": "<string>", "minimumPurchase": 1, "minimumQuantity": 1, "usageLimitTotal": 1, "usageLimitPerCustomer": 1, "startsAt": "<string>", "expiresAt": "<string>", "stackable": True, "globalCode": "<string>", "externalUrl": "<string>", "imageId": 123, "conditions": {} } headers = { "x-api-key": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({ name: '<string>', value: 50000000, description: '<string>', minimumPurchase: 1, minimumQuantity: 1, usageLimitTotal: 1, usageLimitPerCustomer: 1, startsAt: '<string>', expiresAt: '<string>', stackable: true, globalCode: '<string>', externalUrl: '<string>', imageId: 123, conditions: {} }) }; fetch('https://api.oneofnone.io/v1/rewards', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.oneofnone.io/v1/rewards", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'name' => '<string>', 'value' => 50000000, 'description' => '<string>', 'minimumPurchase' => 1, 'minimumQuantity' => 1, 'usageLimitTotal' => 1, 'usageLimitPerCustomer' => 1, 'startsAt' => '<string>', 'expiresAt' => '<string>', 'stackable' => true, 'globalCode' => '<string>', 'externalUrl' => '<string>', 'imageId' => 123, 'conditions' => [ ] ]), CURLOPT_HTTPHEADER => [ "Content-Type: application/json", "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.oneofnone.io/v1/rewards" payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"value\": 50000000,\n \"description\": \"<string>\",\n \"minimumPurchase\": 1,\n \"minimumQuantity\": 1,\n \"usageLimitTotal\": 1,\n \"usageLimitPerCustomer\": 1,\n \"startsAt\": \"<string>\",\n \"expiresAt\": \"<string>\",\n \"stackable\": true,\n \"globalCode\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"imageId\": 123,\n \"conditions\": {}\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.oneofnone.io/v1/rewards") .header("x-api-key", "<api-key>") .header("Content-Type", "application/json") .body("{\n \"name\": \"<string>\",\n \"value\": 50000000,\n \"description\": \"<string>\",\n \"minimumPurchase\": 1,\n \"minimumQuantity\": 1,\n \"usageLimitTotal\": 1,\n \"usageLimitPerCustomer\": 1,\n \"startsAt\": \"<string>\",\n \"expiresAt\": \"<string>\",\n \"stackable\": true,\n \"globalCode\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"imageId\": 123,\n \"conditions\": {}\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.oneofnone.io/v1/rewards") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '<api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"<string>\",\n \"value\": 50000000,\n \"description\": \"<string>\",\n \"minimumPurchase\": 1,\n \"minimumQuantity\": 1,\n \"usageLimitTotal\": 1,\n \"usageLimitPerCustomer\": 1,\n \"startsAt\": \"<string>\",\n \"expiresAt\": \"<string>\",\n \"stackable\": true,\n \"globalCode\": \"<string>\",\n \"externalUrl\": \"<string>\",\n \"imageId\": 123,\n \"conditions\": {}\n}" response = http.request(request) puts response.read_body
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "type": "DISCOUNT", "scope": "sitewide", "valueType": "percentage", "value": 123, "minimumPurchase": 123, "minimumQuantity": 123, "usageLimitTotal": 123, "usageLimitPerCustomer": 123, "startsAt": "<string>", "expiresAt": "<string>", "stackable": true, "codeType": "automatic", "globalCode": "<string>", "externalUrl": "<string>", "imageId": 123, "conditions": {}, "status": "draft", "totalRedemptions": 123, "totalRevenueImpact": 123, "createdAt": "<string>", "updatedAt": "<string>", "image": { "id": 123, "url": "<string>" }, "externalIds": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "system": "shopify", "externalId": "<string>", "externalCodeId": "<string>", "syncedAt": "<string>", "syncStatus": "synced", "error": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "errorCode": "gate_not_protected" } ], "access": { "qualifies": true, "reasons": [ "<string>" ] } }
{ "message": "<string>", "code": "<string>", "details": {} }
1 - 500
percentage
fixed_amount
free_shipping
gated_content
0 <= x <= 100000000
5000
DISCOUNT
GATED_CONTENT
FREE_CLAIM
EARLY_ACCESS
CREDIT
sitewide
collection
product
variant
x >= 0
automatic
global_code
unique_codes
1 - 252
Show child attributes
draft
active
paused
expired
archived
Created reward